<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\ResponseStrategies;

class ResponseBlaettern extends ResponseStrategy
{
  private $alleEintraege;
  private $eintraegeProSeite;
  private $seite;

  public function __construct($pUseCase, $pAlleEintraege, $pEintraegeProSeite, $pSeite = 1)
  {
    parent::__construct($pUseCase);
    $this->alleEintraege = $pAlleEintraege;
    $this->eintraegeProSeite = $pEintraegeProSeite;
    $this->seite = $pSeite;
  }

  public function extendResponse($pResponse)
  {
    $pResponse->blaettern = $this->getBlaettern();

    return $pResponse;
  }

  private function getBlaettern()
  {
    return new \Kufer\Web\KuferTools\Utils\Blaettern($this->alleEintraege, $this->eintraegeProSeite, $this->seite);
  }
}